WCWIDTH(3)

NAME
wcwidth - number of column positions of a wide-character code

SYNOPSIS
#include <wchar.h>
int
wcwidth(wchar_t wc);

DESCRIPTION
The wcwidth() function determines the number of column positions required to display the wide character wc.

RETURN VALUES
The wcwidth() function returns 0 if the wc argument is the NUL wide character (L'\0'), -1 if wc is not printable, or otherwise it returns the number of column positions the character occupies, which may be 0, 1, or 2.

SEE ALSO
iswprint(3), wcswidth(3)

STANDARDS
The wcwidth() function conforms to p1003.1-2001.